Detecter une version specifique du flash player (10) [Résolu]

Signaler
Messages postés
3
Date d'inscription
vendredi 1 mai 2009
Statut
Membre
Dernière intervention
4 mai 2009
-
Messages postés
3
Date d'inscription
vendredi 1 mai 2009
Statut
Membre
Dernière intervention
4 mai 2009
-
Salut a tous,

Apres pas mal de recherches infructueuses je viens poster ici.

Je cherche un code qui me permette de detecter la version du flash player installee, en l'occurence 10, depuis une page html et si celle-ci est detectee alors le navigateur va automatiquement sur index_flash.html, sinon il va automatiquement sur index_html.html.

Si vous avez des idees je prend car j'en ai besoin assez rapidement pour finaliser un dev de site.

D'avance merci.

3 réponses

Messages postés
3
Date d'inscription
vendredi 1 mai 2009
Statut
Membre
Dernière intervention
4 mai 2009

Bon finalement je viens de trouver une solution qui fonctionne (peut être pas la meilleure mais ca fonctionne).

Insertin de AC_OETags.js puis dans le corps de ma page html :

<script language="JavaScript" type="text/javascript">
var hasReqestedVersion = DetectFlashVer(10,0,0);
if (hasReqestedVersion) {location.href="index_flash.html";}
else { location.href="xhtml/X2ok.html"; }
</script>

Si cela peut être utile a quelqu'un.
Messages postés
4933
Date d'inscription
samedi 1 juillet 2006
Statut
Membre
Dernière intervention
2 février 2015
9
Bonjour,

>>car j'en ai besoin assez rapidement pour finaliser un dev de site
bof... ce n'est sûrement pas fondamental pour ton site !
    ne me dis pas que tu serais viré, on pas payé, si tu ne résous pas rapidement !
    si c'est si urgent que cela, appelle un indépendant, une société de services...
    il te feront ça très rapidement, sans aucun doute ( si tu veux des adresses
        dis le, j'en ai )
mais ta question, ne serait pas plus "simplement" résolue avec Flash lui-même ?
et.... pourquoi obliger une version particulière ?
j'allais un site ( je ne te dirais pas lequel ) qui oblige une certaine version
de flash et j'en ai une autre ( la dernière ), je ne veux pas en changer !
finalement : je n'y vais plus.
on peut avoir des infos sur ce qui est installé
( activeX pour IE et navigator.plugins pour les autres ),
en javascript, je ne pense pas que ce soit une bonne idée

Cordialement [mon Site] [M'écrire] Bul
Messages postés
3
Date d'inscription
vendredi 1 mai 2009
Statut
Membre
Dernière intervention
4 mai 2009

Pas franchement utile ce genre de réponse...

Si, c'est important pour mon site car une version flash a été développé avec le player 10, et tout le monde ne dispose pas encore de ce player. Nous avons donc développé une version xhtml/css et notre client ne souhaite pas voir de page permettant de choisir entre une version ou l'autre, mais que ceci se fasse automatiquement à l'insu de l'utilisateur, comme décrit plus haut et js ne nécessite aucun plugin (mais ça tu le sait).

Et non je ne serais pas viré ou autre...